## org.apache.batik.svggen
Interface CachedImageHandler

All Superinterfaces:
  GenericImageHandler

All Known Implementing Classes:
  CachedImageHandlerBase64Encoder, CachedImageHandlerJPEGEncoder, CachedImageHandlerPNGEncoder, DefaultCachedImageHandler

    public interface CachedImageHandler

extends GenericImageHandler

Extends the default ImageHandler interface with calls to allow caching of raster images in generated SVG content.

Method Summary
`ImageCacher` `getImageCacher()` Returns the image cache instance in use by this handler

Methods inherited from interface org.apache.batik.svggen.GenericImageHandler
`createElement, handleImage, handleImage, handleImage, setDOMTreeManager`

Method Detail

### getImageCacher

    ImageCacher getImageCacher()

  Returns the image cache instance in use by this handler

  Returns:
    the image cache

Copyright © 2008 Apache Software Foundation. All Rights Reserved.